Bug 193693 - mail/dspam: Merge mail/dspam-devel in to mail/dspam
Summary: mail/dspam: Merge mail/dspam-devel in to mail/dspam
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
: 148485 167289 177045 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-09-16 20:51 UTC by danny
Modified: 2014-10-21 03:20 UTC (History)
4 users (show)

See Also:


Attachments
dspam-merge-20140916 (IN-PROGRESS) (18.50 KB, patch)
2014-09-17 08:18 UTC, danny
no flags Details | Diff
dspam-merge-20140917 (IN-PROGRESS) (19.28 KB, patch)
2014-09-18 08:42 UTC, danny
no flags Details | Diff
dspam-merge-20140918 (20.83 KB, patch)
2014-09-19 07:17 UTC, danny
no flags Details | Diff
dspam-merge-20140923 (21.43 KB, patch)
2014-09-24 04:15 UTC, danny
danny: maintainer-approval+
Details | Diff
dspam-3.10.2-10-amd64.log (145.06 KB, text/plain)
2014-10-20 05:11 UTC, danny
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description danny 2014-09-16 20:51:56 UTC
The mail/dspam and mail/dspam-devel ports have fallen out of sync with each other over the years.

There are useful changes that have been made to each port, so it isn't safe to just slam all the changes over to one or the other.

Also, the upstream development of dspam has slowed to the point where the mail/dspam-devel port is no longer necessary.

As has been proposed in several bug discussions, we should merge mail/dspam-devel in to mail/dspam and retire dspam-devel.

I propose we accomplish that by:

* Starting with mail/dspam as the base, since it has had some cleanup work committed recently
* Examine all Makefile changes to mail/dspam-devel made in the past several years and determine which changes to port to mail/dspam
* Examine all open bugs in mail/dspam-devel and determine which are still relevant 
* Rewrite any useful patches from above mail/dspam-devel bugs so that they can apply cleanly to the current mail/dspam

This bug can be used as a central point for documenting progress until the cleanup and merge is complete.
Comment 1 danny 2014-09-17 08:18:42 UTC
Created attachment 147393 [details]
dspam-merge-20140916 (IN-PROGRESS)

Attaching an in-progress patch for merging dspam-devel in to dspam, updating to dspam 3.10.2 and rolling up all other applicable open issues.

This is not ready to be applied as I am still testing and rectifying some discrepancies between dspam and dspam-devel.

However, I wanted to get what I had done out there since this is probably the bulk of the bigger changes.
Comment 2 danny 2014-09-18 08:42:39 UTC
Created attachment 147430 [details]
dspam-merge-20140917 (IN-PROGRESS)
Comment 3 danny 2014-09-18 08:53:05 UTC
Comment on attachment 147430 [details]
dspam-merge-20140917 (IN-PROGRESS)

Continuing work on rollup patch for merge:

* including more cleanup changes from Olli Hauer's patch from bug #148485
* including changelog with credit for patch submitters (need to hunt and peck through svn trees for both dspam and dspam-devel to find any that aren't based on PRs)
* including all upstream changes since 3.9.0 in changelog
* merged in changes to rc.d/dspam
* cleaned up etc/dspam.conf.sample 
* simplified pkg-message
* fixes from build testing
Comment 4 danny 2014-09-19 07:17:06 UTC
Created attachment 147461 [details]
dspam-merge-20140918

Latest progress on merge patch:

* sticking mostly to cosmetic changes here, as I spent most of the day testing the build and don't want to shake it up too much
* clarified a few descriptions on makefile options
* misc doc tweaks

Moved the patch over to github, located here:

https://github.com/dannywarren/FreeBSD-Ports/tree/pr_193693/mail/dspam

So that I could push changes to redports for verification, as seen here:

https://redports.org/buildarchive/20140919070550-39414/
Comment 5 danny 2014-09-19 07:30:46 UTC
I did some scratch testing of the build in a test environment, and the options I tested compiled correctly.  All of the fixes we merged in from dspam-devel seem to be intact as well.

I also installed this in place of dspam-devel on one of my hosted mail servers, completely wiped my dspam setup, trained and configured it from scratch.  Working great!

The only two failures I am seeing from redports don't seem to be related to mail/dspam (though I should probably report them both).
Comment 6 danny 2014-09-21 11:11:33 UTC
I think we might be ready to commit this (though I will probably do another round of checking since this is a big messy merge).

So, we need to figure out:

1) Who wants to do the commit (I will email Carlo Strub tomorrow and ask)

2) What is the cleanest way to obsolete the mail/dspam-devel plugin (I will double check the porters handbook tomorrow)

3) If any ports depend on dspam-devel
Comment 7 danny 2014-09-24 04:15:21 UTC
Created attachment 147628 [details]
dspam-merge-20140923

Here is the latest merge patch, I think we might be ready to commit at this point.

This includes a small fix for an incorrect pidfile location introduced in dspam 10.3.2 upstream.

I'm getting really strange results from redports, at this point I am going to assume that not seeing a major obvious build failure means that it is ok.

Examples:

My uncommitted patch:
https://redports.org/buildarchive/20140924025042-25991/

Running test again on same code, different result from redports:
https://redports.org/buildarchive/20140924035335-38166/

Known good version of mail/dspam, same random fails from redports:
https://redports.org/buildarchive/20140924031800-49163/
Comment 8 danny 2014-09-24 04:36:22 UTC
I verified that no other ports depend on mail/dspam-devel, so we should be save to remove it after the merge.
Comment 9 danny 2014-09-24 05:01:26 UTC
Proposed entry to /usr/ports/MOVED:

mail/dspam-devel|mail/dspam|2014-09-23|Merged into mail/dspam
Comment 10 danny 2014-10-02 08:31:55 UTC
Just wanted to note that I will be unavailable until Sunday 10/6, just in case there is some movement with this and I'm not around to respond.

When I get back I will bug Carlo Strub again about getting this mess committed, or check with the ports mailing list.
Comment 11 danny 2014-10-07 21:32:31 UTC
Comment on attachment 147628 [details]
dspam-merge-20140923

Adding maintainer approval flag to dspam-merge-20140923 patch
Comment 12 danny 2014-10-19 22:31:59 UTC
No contact from Carlo Strub for almost a month, I will contact the ports mailing list and see if anyone is willing to help get this mess committed.
Comment 13 danny 2014-10-20 05:11:06 UTC
Created attachment 148490 [details]
dspam-3.10.2-10-amd64.log

Attaching successful poudriere log for the above 20140923 patch, build with 10.0-RELEASE/amd64.

It also passed against 10.0-RELEASE/i386 and 11-CURRENT/amd64.
Comment 14 Kurt Jaeger freebsd_committer 2014-10-20 16:59:17 UTC
I made test-builds on poudriere, builds fine.

Logs see:
http://people.freebsd.org/~pi/logs/mail__dspam-10a-1413782576.txt
http://people.freebsd.org/~pi/logs/mail__dspam-91a-1413782576.txt
http://people.freebsd.org/~pi/logs/mail__dspam-84i-1413782576.txt

(yes, i fixed the @dir stuff afterwards 8-)
Comment 15 Kurt Jaeger freebsd_committer 2014-10-20 17:01:43 UTC
From what I understand, 3.10.2 is approx. 2 years older than 3.9.0.

I had a look at the changelog and it's huge, but there's no linkable changelog
anywhere ?

So, how can one summarize the changes between the two versions ?
Comment 16 danny 2014-10-20 18:37:22 UTC
Thanks Kurt!

Sounds good on the @dir stuff, I didn't know enough backstory on that to make a call myself.

Yea, the main CHANGELOG with all the juicy details lives inside the tarball and they don't publish it to any purposeful spot online.

We could link to the CHANGELOG in their svn tree:

  http://sourceforge.net/p/dspam/code/ci/master/tree/CHANGELOG

Or link to their announcement blog posts for each version: 

  http://sourceforge.net/p/dspam/news/2011/08/dspam-3100-released/
  http://sourceforge.net/p/dspam/news/2011/08/dspam-3101-released/
  http://sourceforge.net/p/dspam/news/2012/04/dspam-3102-released/

Let me know if you would prefer to link to the changes using one of the above, or if we should still attempt to summarize them ourselves.

I'll get to work on summarizing in case you still want to do that.
Comment 17 danny 2014-10-20 18:43:58 UTC
Just to double check, did you see the changelog summary in UPDATING?

I was assuming you did and you wanted it to be more detailed to use as a commit log, but maybe this works as-is?


###########################################################################
# dspam-3.10.2
#

Upstream Changes:
- Support for Postgresql 9.1 added
- Support for Postgresql <8.1 dropped (EOL)
- Support for MySQL 5.5 added
- Support for MySQL <5.0 dropped
- Updated license from GPLv2 to AGPLv3
- Bug in RSET handling during LHLO phase
- Location of configuration files in dspam home (/var/dspam) can be changed
  through dspam.conf
- Various fixes to the webui templates
- Various small bugs and memleaks
- Missing documentation added to tarball
- Many bugfixes

Port Changes:
- Merge mail/dspam-devel and mail/dspam (PR #193693)
- Update to OptionsNG
- Fix pidfile location discrepancy introduced in 3.10.2
- Port cleanup by various submitters, thanks! [1][2][3][4][5]

[1] Patch from <yds@CoolRat.org> (PR #180695, #191610)
[2] Patch from Radim Kolar <hsn@sendmail.cz> (PR #167289)
[3] Patch from Olli Hauer <ohauer@FreeBSD.org> (PR #148485)
[4] Patch from <mtomasek4@gmail.com> (PR #191610)
[5] Patch from Rene Ladan <rene@FreeBSD.org> (PR #191797)
Comment 18 commit-hook freebsd_committer 2014-10-20 18:49:33 UTC
A commit references this bug:

Author: pi
Date: Mon Oct 20 18:48:34 UTC 2014
New revision: 371290
URL: https://svnweb.freebsd.org/changeset/ports/371290

Log:
  mail/dspam: 3.9.0 -> 3.10.2

  Upstream Changes:
  - Support for Postgresql 9.1 added
  - Support for Postgresql <8.1 dropped (EOL)
  - Support for MySQL 5.5 added
  - Support for MySQL <5.0 dropped
  - Updated license from GPLv2 to AGPLv3
  - Bug in RSET handling during LHLO phase
  - Location of configuration files in dspam home (/var/dspam) can be changed
    through dspam.conf
  - Various fixes to the webui templates
  - Various small bugs and memleaks
  - Missing documentation added to tarball
  - Many bugfixes

  Port Changes:
  - Update to OptionsNG
  - Fix pidfile location discrepancy introduced in 3.10.2
  - Port cleanup by various submitters, thanks! [1][2][3][4][5]

  [1] Patch from <yds@CoolRat.org> (PR #180695, #191610)
  [2] Patch from Radim Kolar <hsn@sendmail.cz> (PR #167289)
  [3] Patch from Olli Hauer <ohauer@FreeBSD.org> (PR #148485)
  [4] Patch from <mtomasek4@gmail.com> (PR #191610)
  [5] Patch from Rene Ladan <rene@FreeBSD.org> (PR #191797)

  PR:		193693
  Submitted by:	danny@dannywarren.com (maintainer)

Changes:
  head/mail/dspam/Makefile
  head/mail/dspam/distinfo
  head/mail/dspam/files/UPDATING
  head/mail/dspam/files/dspam.in
  head/mail/dspam/files/patch-scripts__train.pl
  head/mail/dspam/files/patch-src__dspam.c
  head/mail/dspam/files/patch-src__dspam.conf.in
  head/mail/dspam/pkg-descr
  head/mail/dspam/pkg-message
  head/mail/dspam/pkg-plist
Comment 19 commit-hook freebsd_committer 2014-10-20 18:51:35 UTC
A commit references this bug:

Author: pi
Date: Mon Oct 20 18:51:30 UTC 2014
New revision: 371291
URL: https://svnweb.freebsd.org/changeset/ports/371291

Log:
  mail/dspam-devel: merged with mail/dspam

  PR:		193693
  Submitted by:	danny@dannywarren.com (maintainer)

Changes:
  head/MOVED
  head/mail/Makefile
  head/mail/dspam-devel/
Comment 20 Kurt Jaeger freebsd_committer 2014-10-20 18:52:43 UTC
(In reply to danny from comment #17)
> Just to double check, did you see the changelog summary in UPDATING?

No, this is perfect as commit message. Thanks.

All things committed, thank you very much!
Comment 21 danny 2014-10-20 18:57:57 UTC
Thanks Kurt, I really appreciate the help!
Comment 22 danny 2014-10-20 19:01:15 UTC
*** Bug 177045 has been marked as a duplicate of this bug. ***
Comment 23 Kurt Jaeger freebsd_committer 2014-10-21 03:19:44 UTC
*** Bug 148485 has been marked as a duplicate of this bug. ***
Comment 24 Kurt Jaeger freebsd_committer 2014-10-21 03:20:29 UTC
*** Bug 167289 has been marked as a duplicate of this bug. ***